
using CloudBuilder.Security.Entity;
using CloudBuilder.Security.SearchCriteria;
using CloudBuilder.Core.Service;
using CloudBuilder.Security.Data;
using Microsoft.AspNetCore.Mvc;

namespace CloudBuilder.Security.Service
{
    public interface ISecurityUserService : IServiceBase<SecurityUserData, string, SecurityUserSearchCriteria>
    {
        SecurityUserEntity FindByStaffId(string staffid);
        SecurityUserEntity[] FindAll();
        SecurityUserResultData FindBySearchCriteria(SecurityUserSearchCriteria tc);
        dynamic PrintBySearchCriteria(SecurityUserSearchCriteria tc);

        SecurityFunctionResultData FindMenuByUsername();

        void Deletes(string[] keys);

        void UpdateLocalName(string localName);
    }
}
